Bug 484433 - Allow httpd to suexec scripts on nfs mounts
Allow httpd to suexec scripts on nfs mounts
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-06 14:04 EST by Orion Poplawski
Modified: 2009-04-17 16:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-17 16:23:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2009-02-06 14:04:56 EST
Description of problem:

Currently, if trying to execute a cgi script from a nfs volume I get:

type=1400 audit(0.000:38795): avc:  denied  { execute } for  pid=9614 comm="suexec" name="allClearWkshp.cgi" dev=0:19 ino=9080346 scontext=system_u:system_r:httpd_suexec_t:s0 tcontext=system_u:object_r:nfs_t:s0 tclass=file
type=1400 audit(0.000:38797): avc:  denied  { execute_no_trans } for  pid=10337 comm="suexec" path="/home/tdunn/public_html/scripts/allClearWkshp.cgi" dev=0:19 ino=9080346 scontext=system_u:system_r:httpd_suexec_t:s0 tcontext=system_u:object_r:nfs_t:s0 tclass=file

httpd_use_nfs --> on

Version-Release number of selected component (if applicable):
selinux-policy-3.5.13-41.fc10.noarch
Comment 1 Daniel Walsh 2009-02-06 16:09:32 EST
Miroslav you need to add 
fs_exec_nfs_files(httpd_suexec_t)
also add
fs_exec_cifs_files(httpd_suexec_t)

I the http_use_nfs tunables.
Comment 2 Miroslav Grepl 2009-02-12 10:03:42 EST
Fixed in selinux-policy-3.5.13-45.fc10
Comment 3 Orion Poplawski 2009-04-17 16:23:46 EDT
Confirmed fixed.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.